%define rname	apr-util
%define apuver	1
%define version 1.1.2

%define libname	%mklibname %{rname} %{apuver}

Summary:	Apache Portable Runtime Utility library
Name:		lib%{rname}%{apuver}
Version:	%{version}
Release:	%mkrel 5
License:	Apache License
Group:		System/Libraries
URL:		http://apr.apache.org/
Source0:	apr-util-%{version}.tar.bz2
Source1:	apr-util-%{version}.tar.bz2.asc
Patch0:		apr-util-1.1.0-config.diff.bz2
BuildPrereq:	autoconf2.5
BuildPrereq:	automake1.7
BuildPrereq:	libtool
BuildPrereq:	doxygen
BuildPrereq:	apr1-devel >= 1.1.1
BuildPrereq:	openldap-devel
BuildPrereq:	db4-devel
BuildPrereq:	expat-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines.  This library
contains additional utility interfaces for APR; including support
for XML, LDAP, database interfaces, URI parsing and more.


%if "%{_lib}" != "lib"
%package -n	%{libname}
Summary:	Apache Portable Runtime Utility library
Group: 		System/Libraries

%description -n	%{libname}
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines.  This library
contains additional utility interfaces for APR; including support
for XML, LDAP, database interfaces, URI parsing and more.
%endif

%package -n	%{libname}-devel
Group:		Development/C
Summary:	APR utility library development kit
Requires:	%{libname} = %{version}
Requires:	apr1-devel >= 1.1.1
Requires:	openldap-devel
Requires:	db4-devel
Requires:	expat-devel
Provides:	%{rname}%{apuver}-devel
#Provides:	lib%{name}-devel %{name}-devel
#Obsoletes:	lib%{name}-devel %{name}-devel

%description -n	%{libname}-devel
This package provides the support files which can be used to 
build applications using the APR utility library.  The mission 
of the Apache Portable Runtime (APR) is to provide a free 
library of C data structures and routines.

%prep

%setup -q -n %{rname}-%{version}
%patch0 -p0 -b .config

%build

%{__cat} >> config.layout << EOF
<Layout ADVX>
    prefix:        %{_prefix}
    exec_prefix:   %{_prefix}
    bindir:        %{_bindir}
    sbindir:       %{_sbindir}
    libdir:        %{_libdir}
    libexecdir:    %{_libexecdir}
    mandir:        %{_mandir}
    infodir:       %{_infodir}
    includedir:    %{_includedir}/apr-%{apuver}
    sysconfdir:    %{_sysconfdir}
    datadir:       %{_datadir}
    installbuilddir: %{_libdir}/apr-%{apuver}/build
    localstatedir: /var
    runtimedir:    /var/run
    libsuffix:     -\${APRUTIL_MAJOR_VERSION}
</Layout>
EOF

# We need to re-run ./buildconf because of any applied patch(es)
#./buildconf --with-apr=%{_prefix}
export WANT_AUTOCONF_2_5=1
autoheader-1.7 && autoconf

%configure2_5x \
    --with-apr=%{_prefix} \
    --includedir=%{_includedir}/apr-%{apuver} \
    --with-installbuilddir=%{_libdir}/apr-%{apuver}/build \
    --enable-layout=ADVX \
    --with-ldap \
    --without-gdbm

%make
make dox

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

pushd test
    make check
popd

%makeinstall_std

# Documentation
rm -rf html
cp -r docs/dox/html html

# Unpackaged files
rm -f %{buildroot}%{_libdir}/aprutil.exp

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{_libdir}/libaprutil-%{apuver}.so.*

%files -n %{libname}-devel
%defattr(-,root,root,-)
%doc --parents html
%{_bindir}/apu-%{apuver}-config
%{_libdir}/libaprutil-%{apuver}.*a
%{_libdir}/libaprutil-%{apuver}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/apr-%{apuver}/*.h

%changelog
* Thu Sep 08 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-5mdk
- rebuild

* Tue Aug 30 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.2-4mdk
- Rebuild for libldap2.3

* Fri Jun 17 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-3mdk
- rebuilt against new librpm

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-2mdk
- fix naming

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2
- use the %%mkrel macro
- fix deps

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.0-3mdk
- rebuild for ldap2.2_7

* Fri Feb  4 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.0-2mdk
- rebuilt against new openldap libs

* Thu Jan 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0
- drop redundant patches
- rediff P0
- run all tests

* Thu Nov 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- do not provide at this point

* Wed Sep 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- rediffed P0, P1
- make this package (and the src.rpm) coexist with apr-0.9.x

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.5-7mdk
- rebuilt against db4.2

* Wed Jun 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.5-6mdk
- new P0
- drop P3,P4,P6 and P8 the fix is implemented upstream
- drop P5, another fix is implemented upstream
- fix P7, it's partially implemented upstream

* Thu Jun 17 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.9.5-5mdk
- rebuild with new openssl 

* Thu Jun 17 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.9.5-4mdk
- rebuild

* Tue May 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.5-2mdk
- rebuild

* Fri May 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.5-1mdk
- initial fedora import and mandrake adaptions

* Thu Apr  1 2004 Joe Orton <jorton@redhat.com> 0.9.4-14
- fix use of SHA1 passwords (#119651)

* Tue Mar 30 2004 Joe Orton <jorton@redhat.com> 0.9.4-13
- remove fundamentally broken check_sbcs() from xlate code

* Fri Mar 19 2004 Joe Orton <jorton@redhat.com> 0.9.4-12
- tweak xlate fix

* Fri Mar 19 2004 Joe Orton <jorton@redhat.com> 0.9.4-11
- rebuild with xlate fixes and tests enabled

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com> 0.9.4-10.1
- rebuilt

* Tue Mar  2 2004 Joe Orton <jorton@redhat.com> 0.9.4-10
- rename sdbm_* symbols to apu__sdbm_*

* Mon Feb 16 2004 Joe Orton <jorton@redhat.com> 0.9.4-9
- fix sdbm apr_dbm_exists() on s390x/ppc64

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com> 0.9.4-8
- rebuilt

* Thu Feb  5 2004 Joe Orton <jorton@redhat.com> 0.9.4-7
- fix warnings from use of apr_optional*.h with gcc 3.4

* Thu Jan 29 2004 Joe Orton <jorton@redhat.com> 0.9.4-6
- drop gdbm support

* Thu Jan  8 2004 Joe Orton <jorton@redhat.com> 0.9.4-5
- fix DB library detection

* Sat Dec 13 2003 Jeff Johnson <jbj@jbj.org> 0.9.4-4
- rebuild against db-4.2.52.

* Mon Oct 13 2003 Jeff Johnson <jbj@jbj.org> 0.9.4-3
- rebuild against db-4.2.42.

* Mon Oct  6 2003 Joe Orton <jorton@redhat.com> 0.9.4-2
- fix 'apu-config --apu-la-file' output

* Mon Oct  6 2003 Joe Orton <jorton@redhat.com> 0.9.4-1
- update to 0.9.4.

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.3-10
- rebuild

* Mon Jul  7 2003 Joe Orton <jorton@redhat.com> 0.9.3-9
- rebuild
- don't run testuuid test because of #98677

* Thu Jul  3 2003 Joe Orton <jorton@redhat.com> 0.9.3-8
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 20 2003 Joe Orton <jorton@redhat.com> 0.9.3-6
- fix to detect crypt_r correctly (CAN-2003-0195)

* Thu May 15 2003 Joe Orton <jorton@redhat.com> 0.9.3-5
- fix to try linking against -ldb first (#90917)
- depend on openldap, gdbm, db4, expat appropriately.

* Tue May 13 2003 Joe Orton <jorton@redhat.com> 0.9.3-4
- rebuild

* Wed May  7 2003 Joe Orton <jorton@redhat.com> 0.9.3-3
- make devel package conflict with old subversion-devel
- run the less crufty parts of the test suite

* Tue Apr 29 2003 Joe Orton <jorton@redhat.com> 0.9.3-2
- run ldconfig in post/postun

* Mon Apr 28 2003 Joe Orton <jorton@redhat.com> 0.9.3-1
- initial build
